Subject: Re: [PATCHv5/RFC 3/6] gitweb: Add manpage for gitweb

From: Jakub Narebski <[email-masked]>
Date: Tue, 11 Oct 2011 15:51:08 +0200

On Tue, 11 Oct 2011, Drew Northup wrote:
> On Mon, 2011-10-10 at 17:18 -0500, Jonathan Nieder wrote:
> > Jakub Narebski wrote:
> > 
> > > The problem is that catering to old AsciiDoc (but still used by some of
> > > long-term-support Linux distributions) requires to have "SYNOPSIS"
> > > section... but there is no natural synopsis for non self-hostable web
> > > application, is there?
> > 
> > I personally think something like
> > 
> > 	SYNOPSIS
> > 	--------
> > 	/usr/share/gitweb/gitweb.cgi
> > 	git instaweb
> > 
> > or perhaps something like
> > 
> > 	SYNOPSIS
> > 	--------
> > 	http://<site>/?p=<project>.git;a=<action>;h=<object>;<parameters>
> > 	http://<site>/<project>/<action>/<object>?<parameters>
> > 
> > would be best.
> 
> This would be why I included a synopsis with my original submission. As
> this was supposed to be a description of the configuration files of said
> application it does not make much sense to put the executable in the
> synopsis. Please forgive me for attempting to make sense!

But this manpage is about _gitweb itself_, not about gitweb config file(s).
Gitweb itself is application, though it is not runnable directly (yet).

Web apps either don't use manpages as documentation, and those that do
that I found (SVN::Web for example) include runnable server-starting script.
-- 
Jakub Narebski
Poland